# Class CIM_FIFOPipeFile
extends CIM_LogicalFile

FIFOPipeFile is a special type of LogicalFile that represents an interprocess FIFO (sometimes referred to as a "named pipe"). Operating systems use this convention to manage interprocess communication through processes reading and writing the FIFO. The FIFO can be accessed by unrelated processes, in contrast to the more well-known command line redirection mechanism (e.g. UNIX's 'ps -eaf | grep foo', also known as an "unnamed pipe"). An exemplary operating system implementation (using the FIFO concept) is the UNIX S_IFIFO file type.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_LogicalFile
|
+--CIM_FIFOPipeFile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

FIFOPipeFile is a special type of LogicalFile that represents an interprocess FIFO (sometimes referred to as a "named pipe"). Operating systems use this convention to manage interprocess communication through processes reading and writing the FIFO. The FIFO can be accessed by unrelated processes, in contrast to the more well-known command line redirection mechanism (e.g. UNIX's 'ps -eaf | grep foo', also known as an "unnamed pipe"). An exemplary operating system implementation (using the FIFO concept) is the UNIX S_IFIFO file type.

UMLPackagePath | string | CIM::System::FileElements
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CompressionMethod | string | CIM_LogicalFile
CreationClassName | string | CIM_LogicalFile
CreationDate | datetime | CIM_LogicalFile
CSCreationClassName | string | CIM_LogicalFile
CSName | string | CIM_LogicalFile
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EncryptionMethod | string | CIM_LogicalFile
Executable | boolean | CIM_LogicalFile
FileSize | uint64 | CIM_LogicalFile
FSCreationClassName | string | CIM_LogicalFile
FSName | string | CIM_LogicalFile
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
InUseCount | uint64 | CIM_LogicalFile
LastAccessed | datetime | CIM_LogicalFile
LastModified | datetime | CIM_LogicalFile
Name | string | CIM_LogicalFile
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Readable | boolean | CIM_LogicalFile
Status | string | CIM_ManagedSystemElement
Writeable | boolean | CIM_LogicalFile
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods